MAN(1)

NOME
man - uma interface para os manuais de referência do sistema

SINOPSE
man [opções do man] [[seção] página ...] ...
man -k [opções do apropos] expressão-regular ...
man -K [opções do man] [seção] termo ...
man -f [opções do whatis] página ...
man -l [opções do man] arquivo ...
man -w|-W [opções do man] página ...

DESCRIÇÃO
man é o paginador de manual do sistema. Cada argumento página fornecido ao man é normalmente o nome de um programa, utilitário ou função. A página de manual associada com esses argumentos é, então, localizada e exibida. Uma seção, se fornecida, direcionará man para procurar apenas naquela seção do manual. A ação padrão é para pesquisar em todas as seções disponíveis seguindo a seguinte ordem pré-definida (veja DEFAULTS), e para mostrar apenas a primeira página localizada, mesmo se página existir em várias seções.

A tabela abaixo mostra os números seção do manual seguido pelos tipos de páginas que eles contêm.

1 | Comandos shell ou programas executáveis
2 | Chamadas de sistema (funções fornecidas pelo kernel)
3 | Chamadas de biblioteca (funções dentro de bibliotecas de programa)
4 | Arquivos especiais (geralmente localizados em /dev)
5 | Formatos de arquivo e convenções, ex.: /etc/passwd
6 | Jogos
7 | Miscelânea (incluindo convenções e pacotes macro), (ex.: man(7), groff(7), man-pages(7))
8 | Comandos de administração do sistema (geralmente apenas para root)
9 | Rotinas do kernel [não padrão]

Uma página de manual consiste em várias seções.

Nomes de seção convencional incluem NAME, SYNOPSIS, CONFIGURATION, DESCRIPTION, OPTIONS, EXIT STATUS, RETURN VALUE, ERRORS, ENVIRONMENT, FILES, VERSIONS, STANDARDS, NOTES, BUGS, EXAMPLE, AUTHORS e SEE ALSO.

As convenções a seguir se aplicam à seção SYNOPSIS e podem ser usadas como uma guia em outras seções.

texto em negrito | digite exatamente como mostrado.
texto em itálico | substitua com o argumento apropriado.
[-abc] | qualquer ou todos os argumentos dentro de [ ] são opcionais.
-a|-b | opções delimitadas por | não podem ser usadas juntas.
argumento ... | argumento é repetível.
[expressão] ... | toda a expressão dentro [ ] é repetível.

Renderização exata pode variar dependendo do dispositivo de saída. Por exemplo, man geralmente não é capaz de renderizar itálicos ao ser executado em um terminal e normalmente usará um texto sublinhado ou colorizado.

A ilustração de comando ou função é um padrão que deve corresponder a todas invocações possíveis. Em alguns casos, é recomendável ilustrar invocações exclusivas como é mostrar na seção SYNOPSIS desta página de manual.

EXEMPLOS

man ls
    Exibe a página de manual para o item (programa) ls.

man man.7
    Exibe a página de manual para o pacote macro man para a seção 7. (Esta é uma escrita alternativa de "man 7 man".)

man 'man(7)'
    Exibe a página de manual do pacote de macro man da seção 7. (Essa é outra grafia alternativa de "man 7 man". Pode ser mais conveniente copiar e colar referências cruzadas em páginas de manual. Observe que os parênteses normalmente devem ser colocado entre aspas para evitar que o shell interprete-os.)

man -a intro
    Exibe, em sucessão, todas as páginas de manual de intro disponíveis contidos no manual. É possível sair entre exibições sucessivas ou pular qualquer uma delas.

man -t bash | lpr -Pps
    Formata a página de manual para bash no formato padrão troff ou groff e redireciona-a para o nome da impressora ps. A saída padrão para groff geralmente é PostScript. man --help deve avisar sobre qual processador está vinculado à opção -t.

man -l -Tdvi ./foo.1x.gz > ./foo.1x.dvi
    Esse comando vai descomprimir e formatar a página de manual fonte nroff ./foo.1x.gz em um arquivo device independent (dvi). O redirecionamento é necessário, pois a opção -T causa a saída ser direcionada à stdout (saída padrão) com nenhum paginador. A saída pode ser visto com um programa tal como xdvi ou processado para PostScript usando um programa como dvips.

man -k printf
    Pesquisa por descrições curtas e nomes de páginas de manual para a palavra-chave printf como expressão regular. Emite qualquer correspondência. Equivalente a apropos printf.

man -f smail
    Procura as páginas de manual referenciadas por smail e imprime as descrições curtas de qualquer uma que tenha sido localizada. Equivalente a whatis smail.

VISÃO GERAL
Muitas opções estão disponíveis para man para fornecer tanta flexibilidade quanto for possível para o usuário. Alterações podem ser feitas ao caminho de pesquisa, ordem de seção, processador de saída e outros comportamentos e operações detalhados abaixo.

Se definidas, várias variáveis de ambiente serão interrogadas para determinar a operação do man. É possível definir a variável "mãe" $MANOPT para qualquer texto no formato, de linha de comando com a exceção de que quaisquer espaços usados como parte de um argumento da opção devem ser escapado (precedido por uma barra invertida). man analisará $MANOPT antes de analisar sua própria linha de comando. Aquelas opções exigindo um argumento serão sobrescritas pelas mesmas opções localizadas na linha de comando. Para redefinir todas as opções em $MANOPT, -D pode ser especificada como uma opção inicial de linha comando. Isso vai permitir que man "esqueça" sobre as opções especificadas em $MANOPT, apesar delas ainda precisarem ser válidas.

As páginas do manual são normalmente armazenadas no formato nroff(1) em um diretório como /usr/share/man. Em algumas instalações, também pode haver páginas cat pré-formatadas para melhorar o desempenho. Veja manpath(5) para detalhes de onde esses arquivos estão armazenados.

Este pacote possui suporte a páginas de manual em vários idiomas, controlados por sua localidade. Se seu sistema não configurou isso para você automaticamente, então pode ser necessário para definir $LC_MESSAGES, $LANG ou outra variável de ambiente dependente do sistema para a localidade de seu idioma, geralmente especificado no formato baseado no POSIX:

<idioma>[_<território>[.<conjunto-de-caracteres>[,<versão>]]]

Se a página desejada estiver disponível em sua localidade, ela será exibida em vez da página padrão (geralmente, inglês americano).

Se você descobrir que as traduções fornecidas com este pacote não estão disponíveis em seu idioma nativo e quiser fornecê-las, contate o mantenedor que estará coordenando tal atividade.

As páginas individuais do manual são normalmente escritas e mantidas pelos mantenedores do programa, função ou outro tópico que eles documentam e não são incluídas neste pacote. Se você achar que uma página de manual está ausente ou inadequada, informe isso aos mantenedores do pacote em questão.

Para informações a respeito de outros recursos e extensões disponíveis com este paginador de manual, leia os documentos fornecidos com o pacote.

PADRÕES
A ordem das seções para pesquisar pode ser substituída pela variável de ambiente $MANSECT ou pela diretiva SECTION em /etc/manpath.config. Por padrão, é o seguinte:

    1 n l 8 3 0 2 3type 3posix 3pm 3perl 3am 5 4 9 6 7

A página de manual formatada é exibida usando um paginador. Isso pode ser especificado de várias maneiras, ou retornará ao padrão (consulte a opção -P para obter detalhes).

Os filtros são decifrados por várias formas. Primeiramente, a opção de linha de comando -p ou a variável de ambiente $MANROFFSEQ é interrogada. Se -p não foi usada e a variável de ambiente não foi definida, a linha inicial do arquivo nroff é analisada para um texto de pré-processador. Para conter um texto válido de pré-processador, a primeira linha deve se parecer com

'\" <texto>

onde texto pode ser qualquer combinação de letras descritas pela opção -p abaixo.

Se nenhum dos métodos acima fornece qualquer informação de filtro, uma definição padrão é usada.

Um fluxo de formatação é formado a partir dos filtros e o formatador primário (nroff ou [tg]roff com -t) é executado. Alternativamente, se um programa executável mandb_nfmt (ou mandb_tfmt com -t) existir na árvore raiz do man, ele é executado. É passado o arquivo-fonte do manual, o texto de pré-processador e, opcionalmente, o dispositivo especificado com -T ou -E como argumentos.

OPÇÕES
Opções não-argumentos que são duplicadas na linha de comando, em $MANOPT ou ambos, não são prejudiciais. Para opções que exigem um argumento, cada duplicação sobrescreverá o valor do argumento anterior.

  Opções gerais

-C arquivo, --config-file=arquivo
    Usa esse arquivo de configuração de usuário em vez do padrão ~/.manpath.

-d, --debug
    Emite mensagens de depuração.

-D, --default
    Essa opção normalmente é chamada como a primeira opção e redefine o comportamento do man para seu padrão. Seu uso é para redefinir aquelas opções que podem ter sido definidas no $MANOPT. Quaisquer opções que venham após -D terão seu efeito comum.

--warnings[=avisos]
    Habilita avisos do groff. Isso pode ser usado para realizar verificações de sanidade no texto fonte de páginas de manual. avisos é uma lista separada por vírgulas de nomes de avisos; se ela não for fornecida, o padrão é "mac". Para desabilitar um aviso groff, prefixe-o com "!": por exemplo, --warnings=mac,!break habilita avisos na categoria "mac" e desabilita avisos na categoria "break". Veja o nó “Warnings” em info groff para uma lista de nomes de avisos disponíveis.

  Modos principais de operação

-f, --whatis
    Aproximadamente equivalente a whatis. Exibe uma descrição curta da página de manual, se disponível. Veja whatis(1) para detalhes.

-k, --apropos
    Aproximadamente equivalente a apropos. Pesquisa as descrições curtas de página de manual para palavras-chave e exibe quaisquer correspondências. Veja apropos(1) para detalhes.

-K, --global-apropos
    Pesquisa por texto em todas as páginas de manual. Essa é uma pesquisa de força bruta, e é provável que leve algum tempo; se possível, você deveria especificar uma seção para reduzir o número de páginas que precisam ser pesquisadas. Termos de pesquisa podem ser textos simples (o padrão) ou expressões regulares se a opção --regex for usada.

    Note que isso pesquisa os fontes das páginas de manual, não o texto renderizado e, portanto, pode incluir falso positivos em razão de coisas como comentários nos arquivos-fontes ou falsos negativos devido a coisas como hifens sendo escritos como "\-" em arquivos-fonte. Pesquisar o texto renderizado seria ainda mais lento.

-l, --local-file
    Ativa o modo "local". Formata e exibe arquivos locais de manual em vez de pesquisar na coleção de manuais do sistema. Cada argumento de página de manual será interpretado como um arquivo-fonte nroff no formato correto. Nenhum arquivo cat é produzido. Se "-" é listado como um dos argumentos, a entrada será obtida de stdin (entrada padrão).

    Se esta opção não for usada, man também retornará à interpretação dos argumentos da página de manual como nomes de arquivos locais se o argumento contiver um caractere "/", pois isso é uma boa indicação de que o argumento se refere a um caminho no sistema de arquivos.

-w, --where, --path, --location
    Não exatamente exibe as páginas de manual, mas imprime o local dos arquivos-fonte nroff que seriam exibidos. Se -a também for especificado, imprime os locais de todos os arquivos-fonte que correspondem aos critérios de pesquisa.

-W, --where-cat, --location-cat
    Não exatamente exibe as páginas de manual, mas imprime o local dos arquivos cat pré-formatados que seriam exibidos. Se -a também for especificado, imprime os locais de todos os arquivos-fonte que correspondem aos critérios de pesquisa.

    Se -w e -W forem ambos usados, imprime o arquivo-fonte e o aquivo cat separados por um espaço. Se todos os -w, -W e -a forem usados, faz isso para cada correspondência possível.

-c, --catman
    Essa opção não é para uso geral e deve ser usado apenas pelo programa catman.

-R codificação, --recode=codificação
    Em vez de formatar a página de manual na forma normal, emite seu fonte convertido para a codificação especificada. Se você já sabe a codificação do arquivo-fonte, você também pode usar manconv(1) diretamente. Porém, essa opção permite que você converta várias páginas de manual para uma única codificação sem ter que declarar explicitamente a codificação de cada uma, desde que elas já tenham sido instaladas em uma estrutura similar a uma hierarquia de página de manual.

    Considere usar man-recode(1) para converter várias páginas de manual, pois ele possui uma interface projetada para conversão em massa e, portanto, pode ser muito mais rápido.

  Localizando as páginas de manual

-L localidade, --locale=localidade
    man geralmente vai determinar sua localidade atual por uma chamada à função C setlocale(3), a qual pergunta a várias variáveis de ambiente, possibilitando incluir $LC_MESSAGES e $LANG. Para temporariamente substituir o valor determinado, use essa opção para fornecer uma localidade diretamente para man. Note que isso não surtirá efeito até que a pesquisa por páginas seja iniciada. Saída como a mensagem de ajuda sempre será exibida na localidade inicialmente determinada.

-m sistema[,...], --systems=sistema[,...]
    Se esse sistema possui acesso às páginas de manual de outros sistemas operacionais, é possível acessá-las usando essa opção. Para pesquisar por uma página de manual da coleção de páginas de manual do NewOS, use a opção -m NewOS.

    O sistema especificado pode ser uma combinação de nomes de sistemas operacionais delimitados por vírgula. Para incluir uma pesquisa às páginas de manual do sistema operacional nativo, inclua man como nome do sistema no texto do argumento. Essa opção vai sobrescrever a variável de ambiente $SYSTEM.

-M caminho, --manpath=caminho
    Especifica um caminho man a ser usado. Por padrão, man usa um código derivado de manpath para determinar o caminho a ser pesquisado. Essa opção sobrescreve a variável de ambiente $MANPATH e faz com que a opção -m a ser ignorada.

    O caminho especificado como um caminho man deve ser a raiz de uma hierarquia estruturada de páginas de manual para as seções conforme descrito no manual de man-db (sob "The manual page system"). Para visualizar páginas de manual fora de tais hierarquias, veja a opção -l.

-S lista, -s lista, --sections=lista
    A lista dada é uma lista separada por caractere de vírgula ou de dois pontos com seções, usada para determinar quais seções para pesquisar e em qual ordem. Essa opção sobrescreve a variável de ambiente $MANSECT. (A escrita de -s é para compatibilidade com System V.)

-e subextensão, --extension=subextensão
    Alguns sistemas incorporam pacotes grandes de páginas de manual, como aquelas que acompanham o pacote Tcl, à hierarquia principal de páginas de manual. Para contornar o problema de ter duas páginas de manual com o mesmo nome como exit(3), as páginas Tcl geralmente eram atribuídas à seção l. Como isso não é uma boa ideia, agora é possível colocar as páginas na seção correta, e atribuir uma "extensão" específica a elas (ex.: exit(3tcl). Sob operação normal, man exibirá exit(3) como preferência em relação a exit(3tcl). Para negociar essa situação e para evitar de ter que saber em qual seção de página você deseja está, agora é possível fornecer ao man um texto subextensão indicando a qual pacote a página deve pertencer. Usando o exemplo acima, fornecer a opção -e tcl para man vai restringir a pesquisa a páginas tendo uma extensão de *tcl.

-i, --ignore-case
    Ignora diferença maiúsculo/minúsculo para páginas de manual. Esse é o padrão.

-I, --match-case
    Pesquisa por páginas de manual diferenciando maiúsculo/minúsculo.

--regex
    Mostra todas as páginas com qualquer parte de seus nomes ou suas descrições correspondendo a cada argumento de página como uma expressão regular, como ocorre com apropos(1). Já que geralmente não há uma forma razoável de pegar a "melhor" página ao pesquisar por uma expressão regular, essa opção resulta em -a.

--wildcard
    Mostra todas as páginas com qualquer parte de seus nomes ou suas descrições correspondendo a cada argumento de página usando caracteres curingas do tipo shell, como ocorre com a opção --wildcard de apropos(1). O argumento de página deve corresponder ao nome completo ou descrição completa, ou corresponder a limites de uma palavra na descrição. Já que geralmente não há uma forma razoável de pegar a "melhor" página ao pesquisar por um curinga, essa opção resulta em -a.

--names-only
    Se a opção --regex ou --wildcard for usada, corresponde apenas a nomes de páginas, e não a descrições de páginas, como ocorre com whatis(1). Do contrário, nenhum efeito.

-a, --all
    Por padrão, man sairá após exibir a página de manual encontrada que seja mais adequada. Usar essa opção força man a exibir todas as páginas de manual com nomes que correspondam aos critérios de pesquisa.

-u, --update
    Essa opção faz com que man atualize os caches de seus banco de dados das páginas de manual instaladas. Isso é necessário apenas em situações raras e, normalmente, é melhor executar mandb(8).

--no-subpages
    Por padrão, man tentará interpretar pares de nomes de página de manual fornecidos na linha de comando como equivalentes a um único nome de página de manual contendo um hífen ou sublinhado. Isso oferece suporte ao padrão comum de programas que implementam uma gama de subcomandos, permitindo-lhes fornecer páginas de manual para cada um que possam ser acessadas usando sintaxe similar ao que seria usado para invocar os próprios subcomandos. Por exemplo:

      $ man -aw git diff
      /usr/share/man/man1/git-diff.1.gz

    Para desabilitar esse comportamento, use a opção --no-subpages.

      $ man -aw --no-subpages git diff
      /usr/share/man/man1/git.1.gz
      /usr/share/man/man3/Git.3pm.gz
      /usr/share/man/man1/diff.1.gz

  Controlando saída formatada

-P paginador, --pager=paginador
    Especifica qual paginador de saída deve ser usado. Por padrão, man usa pager, usando subsidiariamente o cat se o pager não for localizado ou não for um executável. Essa opção sobrescreve a variável de ambiente $MANPAGER, a qual, por sua vez, sobrescreve a variável de ambiente $PAGER. Ela não é usada em conjunto com -f ou -k.

    Esse valor pode ser um único nome de comando ou um comando com argumentos, e pode usar barra invertida, aspas simples ou aspas duplas, como no shell. Ele não pode usar "pipes" para conectar múltiplos comandos; se você precisar disso, use um script "wrapper", que pode levar o arquivo e exibir como um argumento ou na entrada padrão.

-r prompt, --prompt=prompt
    Se uma versão recente do less for usada como paginador, man tentará definir seu prompt e algumas opções sensíveis. O prompt padrão se parece com

    Manual page nome(seção) line x

    sendo que nome denota o nome da página de manual, seção denota a seção sob a qual foi encontrada e x é o número da linha atual. Isso é alcançado usando a variável de ambiente $LESS.

    Fornecer -r com um texto sobrescreverá esse padrão. O texto pode conter $MAN_PN que será expandido para o nome da página manual atual e o nome de sua seção envolto por "(" e ")". O texto usado para produzir o padrão poderia se expressado com

    \ Manual\ page\ \$MAN_PN\ ?ltline\ %lt?L/%L.:
    byte\ %bB?s/%s..?\ (END):?pB\ %pB\\%..
    (press h for help or q to quit)

    Ele é quebrado aqui em três linhas apenas para melhor legibilidade. Para seu significado, veja a página de manual do less(1). O texto do prompt é primeiro avaliado pelo shell. Todas as ocorrências de aspa dupla, acento grave e barra invertida no prompt devem ser escapadas por uma barra invertida. O texto do prompt pode terminar em um $ escapado, o qual pode ser seguido por outras opções para o less. Por padrão man define as opções -ix8.

    A variável de ambiente $MANLESS descrita abaixo pode ser usada para definir um texto padrão de prompt se nenhuma for fornecida na linha de comando.

-7, --ascii
    Ao visualizar uma página de manual em ascii(7) puro em um terminal de 7 bits ou emulador de terminal, alguns caracteres podem não ser exibidos corretamente quando se usa a descrição de dispositivo com latin1(7) com GNU nroff. Essa opção permite que páginas de manual em ascii puro seja exibidas em ascii com o dispositivo latin1. Nenhum texto em latin1 será traduzido. A tabela a seguir mostra as traduções realizadas: algumas partes dela só podem ser exibidas adequadamente usando um dispositivo latin1(7) do GNU nroff.

    Descrição | Octal | latin1 | ascii
    hífen de continuação | 255 |  | -
    ponto lista (ponto no meio) | 267 | • | o
    acento agudo | 264 | ´ | '
    sinal de multiplicação | 327 | × | x

    Se a coluna em latin1 é exibida corretamente, seu terminal pode estar configurado para caracteres latin1 e essa opção não é necessária. Se as colunas latin1 e ascii são idênticas, você está lendo essa página usando essa opção ou man não formatou essa página usando uma descrição de dispositivo latin1. Se a coluna latin1 estiver faltando ou corrompida, você pode precisar ver as páginas de manual com essa opção.

    Essa opção é ignorada ao usar as opções -t, -H, -T ou -Z e pode ser inútil para nroff que não seja do GNU.

-E codificação, --encoding=codificação
    Gera a saída para uma codificação de caracteres diversa do padrão. Para compatibilidade reversa, codificação pode ser um dispositivo nroff tal como ascii, latin1 ou utf8 assim como uma codificação de caracteres de verdade, como UTF-8.

--no-hyphenation, --nh
    Normalmente, nroff vai hifenizar automaticamente o texto na quebra de linha mesmo em palavras que não contêm hífenes, se isso for necessário para manter palavras em uma linha sem espaçamento excessivo. Essa opção desabilita hifenização automática, de forma que as palavras serão hifenizadas somente se elas já contiverem hífenes.

    Se você está escrevendo uma página de manual e só deseja evitar que nroff hifenize uma palavra em um ponto inapropriado, não use essa opção; em vez disso, consulte a documentação do nroff. Por exemplo, você pode colocar "\%" dentro de uma palavra para indicar que ela pode ser hifenizada naquele ponto ou colocar "\%" no começo de uma palavra para evitar que ela seja hifenizada.

--no-justification, --nj
    Normalmente, nroff justificará automaticamente um texto em ambas margens. Essa opção desabilita toda justificação, deixando como justificada apenas a margem esquerda, o que é chamado de texto "ragged-right" em inglês.

    Se você está escrevendo uma página de manual e só deseja evitar que nroff justifique certos parágrafos, não use essa opção; em vez disso, consulte a documentação do nroff. Por exemplo, você pode usar as requisições ".na", ".nf", ".fi" e ".ad" para temporariamente desabilitar ajuste de preenchimento.

-p texti, --preprocessor=texto
    Especifica a sequência de pré-processadores a serem executados antes de nroff ou troff/groff. Nem todas instalações terão um conjunto completo de pré-processadores. Alguns dos pré-processadores e das letras usadas para designá-los são: eqn (e), grap (g), pic (p), tbl (t), vgrind (v), refer (r). Essa opção sobrescreve a variável de ambiente $MANROFFSEQ. zsoelim é sempre executado como o primeiro pré-processador.

-t, --troff
    Usa groff -mandoc para formatar a página manual para stdout (saída padrão). Essa opção não é necessária em conjunto com -H, -T ou -Z.

-T[dispositivo], --troff-device[=dispositivo]
    Essa opção é usada para alterar a saída do groff (ou, possivelmente, do troff) para ser adequada para um dispositivo diferente do padrão. Essa opção resulta em -t. Exemplos (com groff 1.23.0) incluem dvi, latin1, pdf, ps, utf8, X75 e X100.

-H[navegador], --html[=navegador]
    Essa opção fará com que groff produza uma saída HTML e exiba-a em um navegador web. A escolha do navegador é determinada pelo argumento opcional navegador, caso este seja fornecido, obtido pela variável de ambiente $BROWSER ou por um padrão em tempo de compilação, se a primeira alternativa não estiver definida (geralmente lynx). Essa opção resulta em -t e funcionará apenas com o GNU troff.

-X[dpi], --gxditview[=dpi]
    Essa opção exibe a saída de groff em uma janela gráfica usando o programa gxditview. O dpi (pontos por polegada ou, em inglês, "dots per inch") pode ser 75, 75-12, 100 ou 100-12, tendo como padrão o 75; as variantes -12 usam uma fonte de base de 12 pontos. Essa opção resulta em -T com o dispositivo X75, X75-12, X100 ou X100-12, respectivamente.

-Z, --ditroff
    groff executará troff e, então, usará um pós-processador adequado para produzir uma saída adequada para o dispositivo escolhido. Se groff -mandoc for groff, essa opção é passada para groff e suprimirá o uso de um pós-processador. Ela resulta em -t.

  Obtendo ajuda

-?, --help
    Imprime uma mensagem de ajuda e sai.

--usage
    Imprime uma mensagem curta e sai.

-V, --version
    Exibe informação da versão.

STATUS DE SAÍDA

0   Execução com sucesso do programa.

1   Erro de uso, de sintaxe ou no arquivo de configuração.

2   Erro operacional.

3   Um processo filho retornou um status de saída diferente de zero.

16  Pelo menos uma das páginas, palavras-chaves ou arquivos não existem ou não correspondeu.

AMBIENTE

MANPATH
    Se $MANPATH estiver definido, seu valor é usado como o caminho a ser pesquisado por páginas de manual.

    Veja a seção CAMINHO DE PESQUISA de manpath(5) para o comportamento padrão e detalhes de como essa variável de ambiente é manipulada.

MANROFFOPT
    Toda vez que man invoca o formatador (nroff, troff ou groff), ele adiciona o conteúdo de $MANROFFOPT para a linha de comando do formatador.

    Por exemplo, MANROFFOPT=-P-i informa ao formatador para usar texto em itálico (que só é suportado por alguns terminais) em vez de texto sublinhado.

MANROFFSEQ
    Se $MANROFFSEQ estiver definido, seu valor é usado para determinar o conjunto de pré-processadores por meio do qual será passada cada página de manual. A lista padrão de pré-processadores depende do sistema.

MANSECT
    Se $MANSECT estiver definido, seu valor é uma lista delimitada por caractere de dois pontos contendo seções que é usada para determinar quais seções de manual devem ser pesquisadas e em qual ordem. O padrão é "1 n l 8 3 0 2 3type 3posix 3pm 3perl 3am 5 4 9 6 7", a menos que seja sobrescrito pela diretiva SECTION em /etc/manpath.config.

MANPAGER, PAGER
    Se $MANPAGER ou $PAGER estiverem definidos ($MANPAGER é usado preferencialmente), seu valor é usado como o nome do programa para exibir a página de manual. Por padrão, pager é usado, usando subsidiariamente o cat se o pager for localizado ou for um executável.

    Esse valor pode ser um único nome de comando ou um comando com argumentos, e pode usar barra invertida, aspas simples ou aspas duplas, como no shell. Ele não pode usar "pipes" para conectar múltiplos comandos; se você precisar disso, use um script "wrapper", que pode levar o arquivo e exibir como um argumento ou na entrada padrão.

MANLESS
    Se $MANLESS estiver definido, seu valor será usado como o texto de prompt padrão para o paginador less, como se ele tivesse sido passado usando a opção -r (de forma que quaisquer ocorrências do texto $MAN_PN serão expandidas da mesma forma). Por exemplo, se você deseja definir o texto de prompt incondicionalmente para “meu texto de prompt”, definida $MANLESS com ‘-Psmeu texto de prompt’. Usar a opção -r sobrescreve essa variável de ambiente.

BROWSER
    Se $BROWSER estiver definido, seu valor é uma lista delimitada por caractere de dois pontos contendo os comandos, cada um dos quais, por sua vez, é usado para tentar iniciar um navegador web para man --html. Em cada comando, %s é substituído por um nome de arquivo contendo a saída HTML de groff, %% é substituído por um único sinal de porcentagem e um %c é substituído pelo caractere de dois pontos.

SYSTEM
    Se $SYSTEM estiver definido, ele terá o mesmo efeito que se fosse especificado como um argumento da opção -m.

MANOPT
    Se $MANOPT estiver definido, ele será analisado antes da linha de comando do man e é esperado que tenha um formato similar. Como todas as outras variáveis de ambiente específicas do man podem ser expressadas como opções de linha de comando e, portanto, são candidatos de serem incluídos em $MANOPT, é esperado que elas se tornem obsoletas. NOTA: Todos os espaços que devem ser interpretados como parte de um argumento da opção têm que ser escapados.

MANWIDTH
    Se $MANWIDTH estiver definido, seu valor é usado como o comprimento de linha para o qual as páginas de manual deveriam ser formatadas. Se ele não estiver definido, as páginas de manual serão formatadas com um comprimento de linha apropriado para o terminal atual (usando o valor de $COLUMNS e ioctl(2), se disponível, ou retrocedendo para 80 caracteres se as duas anteriores não estiverem disponíveis). Páginas cat serão salvas somente quando a formatação padrão puder ser usada, que é quando o comprimento da linha de terminal está entre 66 e 80 caracteres.

MAN_KEEP_FORMATTING
    Normalmente, quando a saída não está sendo direcionada para um terminal (ex.: para um arquivo ou um "pipe"), caracteres de formatação são descartados para facilitar a leitura do resultado sem ferramentas especiais. Porém, se $MAN_KEEP_FORMATTING estiver definido para um valor diferente de vazio, esses caracteres de formatação são mantidos. Isso pode ser útil para scripts de interfaceamento do man ("wrappers") que possam interpretar caracteres de formatação.

MAN_KEEP_STDERR
    Normalmente, quando a saída está sendo direcionada para um terminal (geralmente um paginador), qualquer saída de erro do comando usado para produzir versões formatadas de páginas de manual é descartada para evitar interferência com a exibição da página. Programas tal como o groff frequentemente produzem relativamente poucas mensagens de erro sobre problemas tipográficos, (ex.: alinhamento ruim), o que é geralmente um pouco confuso quando exibido junto com a página de manual. Porém, alguns usuários desejam vê-los mesmo assim; então, se $MAN_KEEP_STDERR estiver definido para qualquer valor diferente de vazio, a saída de erro será exibida como normalmente faria.

MAN_DISABLE_SECCOMP
    No Linux, man normalmente confina subprocessos que manipulam dados não confiáveis ​​usando uma sandbox (isolamento) da seccomp(2). Isso torna mais seguro executar código de análise complexo em páginas de manual arbitrárias. Se isso der errado por algum motivo não relacionado ao conteúdo da página exibida, você pode definir $MAN_DISABLE_SECCOMP como qualquer valor não vazio para desabilitar o sandbox.

PIPELINE_DEBUG
    Se a variável de ambiente $PIPELINE_DEBUG estiver definida como "1", então man imprimirá mensagens de depuração para erro padrão descrevendo cada subprocesso executado.

LANG, LC_MESSAGES
    Dependendo do sistema e implementação, $LANG e/ou $LC_MESSAGES serão interrogados para obter a localidade atual das mensagens. man exibirá suas mensagens naquela localidade (se disponível). Veja setlocale(3) para detalhes precisos.

ARQUIVOS

/etc/manpath.config
    O arquivo de configuração do man-db.

/usr/share/man
    Uma hierarquia global de páginas de manual.

PADRÕES
POSIX.1-2001, POSIX.1-2008, POSIX.1-2017.

VEJA TAMBÉM
apropos(1), groff(1), less(1), manpath(1), nroff(1), troff(1), whatis(1), zsoelim(1), manpath(5), man(7), catman(8), mandb(8)

Documento para alguns pacotes podem estar disponíveis em outros formatos, como info(1) ou HTML.

HISTÓRICO
1990, 1991 – Originalmente escrito por John W. Eaton (jwe@che.utexas.edu).

23 de dezembro de 1992: Rik Faith (faith@cs.unc.edu) aplicou correções de erros fornecidos por Willem Kasdorp (wkasdo@nikhefk.nikef.nl).

30 de abril de 1994 – 23 de fevereiro de 2000: Wilf. (G.Wilford@ee.surrey.ac.uk) desenvolveu e manteve este pacote com ajuda de algumas pessoas dedicadas.

30 de outubro de 1996 – 30 de março de 2001: Fabrizio Polacco <fpolacco@debian.org> manteve e aprimorou este pacote para o projeto Debian, com a ajuda de toda a comunidade.

31 de março de 2001 – atualmente: Colin Watson <cjwatson@debian.org> agora está desenvolvendo e mantendo man-db.

PROBLEMAS
https://gitlab.com/man-db/man-db/-/issues
https://savannah.nongnu.org/bugs/?group=man-db